<template>
  <div>
    <h2>Footer Tema Padrão</h2>
    <br-footer
      text="Todo o conteúdo deste site está publicado sob a licença Creative Commons"
      categories="[
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      }
    ]"
      logo="{
      'url': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/logo-negative.png',
      'description': 'Acesso a informação'
    }"
      social="{
      'label': 'Título',
      'networks': [
        {
          'href': '#',
          'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/button-negative.png',
          'description': 'Rede social'
        },
        {
          'href': '#',
          'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/button-negative.png',
          'description': 'Rede social'
        },
        {
          'href': '#',
          'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/button-negative.png',
          'description': 'Rede social'
        },
        {
          'href': '#',
          'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/button-negative.png',
          'description': 'Rede social'
        }
      ]
    }"
      partners="[
      {
        'href': '#',
        'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/logo-assign-negative.png',
        'description': 'Parceiro'
      },
      {
        'href': '#',
        'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/logo-assign-negative.png',
        'description': 'Parceiro'
      }
    ]"
    >
    </br-footer>

    <h2>Footer Tema Invertido</h2>
    <br-footer
      inverted
      text="Todo o conteúdo deste site está publicado sob a licença Creative Commons"
      categories="[
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      },
      {
        'title': 'Categoria',
        'items': [
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'},
          {'title': 'Texto de uma linha', 'href': '#'},
          {'title': 'Texto com quebra de linha', 'href': '#'}
        ]
      }
    ]"
      logo="{
      'url': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/logo-positive.png',
      'description': 'Acesso a informação'
    }"
      social="{
      'label': 'Título',
      'networks': [
        {
          'icon': 'facebook-f',
          'iconFamily': 'fab',
          'description': 'Facebook'
        },
        {
          'icon': 'twitter',
          'iconFamily': 'fab',
          'description': 'Twitter'
        },
        {
          'icon': 'linkedin-in',
          'iconFamily': 'fab',
          'description': 'LinkedIn'
        },
        {
          'icon': 'whatsapp',
          'iconFamily': 'fab',
          'description': 'Whatsapp'
        }
      ]
    }"
      partners="[
      {
        'href': '#',
        'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/logo-assign-positive.png',
        'description': 'Parceiro'
      },
      {
        'href': '#',
        'image': 'https://cdngovbr-ds.estaleiro.serpro.gov.br/design-system/images/logo-assign-positive.png',
        'description': 'Parceiro'
      }
    ]"
    >
    </br-footer>
    <h2>Footer Básico</h2>
    <br-footer></br-footer>
  </div>
</template>
